Skip to main content
GET
Get Account

Authorizations

Authorization
string
header
required

Bearer authentication with an API token

Path Parameters

id
string
required

Unique identifier of an account.

Response

Success

request_id
string
required

Request identifier in a UUID format. Serves as an idempotency key

identity_type
enum<string>

Identity type

ℹ️ BUSINESS accounts are only supported in the US at this time.

Available options:
IDENTITY_TYPE_UNSPECIFIED,
INDIVIDUAL,
BUSINESS
Example:

"INDIVIDUAL"

addresses
WalletAddress · object[]
read-only
identity_id
string
read-only

Unique identifier of the identity associated with the account.

id
string
read-only

Unique identifier of the account.

account_type
enum<string>
deprecated

Deprecated: use "type" instead

Available options:
ACCOUNT_TYPE_UNSPECIFIED,
LEDGER,
ONCHAIN,
OMNIBUS,
SEGREGATED
Example:

"LEDGER"

frozen
boolean
read-only

true if the account is frozen. Accounts that are frozen are blocked from interacting with the Bastion platform without manual intervention. Contact compliance@bastion.com for more details if an account is frozen.

identity_status
enum<string>

The identity's top-level status.

Available options:
IDENTITY_STATUS_UNSPECIFIED,
PENDING_ONBOARDING,
ACTIVE,
SUSPENDED,
REJECTED,
TERMINATED
Example:

"PENDING_ONBOARDING"

identity_sub_status
enum<string>

The identity's sub-status. Populated during PENDING_ONBOARDING, and RFI_REQUIRED while a request for information is open in any status except REJECTED and TERMINATED.

Available options:
IDENTITY_SUB_STATUS_UNSPECIFIED,
CREATED,
COMPLIANCE_CHECKS_IN_PROGRESS,
IDV_REQUIRED,
IDV_REQUESTED,
IDV_IN_PROGRESS,
IDV_EXPIRED,
RFI_REQUIRED
Example:

"CREATED"

account_status
enum<string>
deprecated

Deprecated: use "status" instead

Available options:
ACCOUNT_STATUS_UNSPECIFIED,
ACTIVE,
FROZEN,
CLOSED
Example:

"ACTIVE"

status
enum<string>

The account's status, derived from its parent identity state.

Available options:
ACCOUNT_STATUS_UNSPECIFIED,
ACTIVE,
FROZEN,
CLOSED
Example:

"ACTIVE"

type
enum<string>

The account's type.

Valid values are OMNIBUS and SEGREGATED. LEDGER and ONCHAIN are legacy values.

Available options:
ACCOUNT_TYPE_UNSPECIFIED,
LEDGER,
ONCHAIN,
OMNIBUS,
SEGREGATED
Example:

"LEDGER"